<template>
    <v-container>
        <h2 class="secondary--text" align="center"> 
            Classificació </h2>
        
        <div class="mt-2">
      
    </div>

    <!-- <v-row class="mt-2"  v-for="team in teams" :key="team.id"></v-row> -->

    <v-col class="mt-3">
      <v-data-table
        :headers="headers"
        :items="teams"
        class="elevation-5"
        mobile-breakpoint="20"
        disable-pagination
        hide-default-footer
        dark
        :single-expand="singleExpand"
        :expanded.sync="expanded"
        item-key="username"
      >
       <template v-slot:item.position="{ item }"> 
          <tbody>
          <tr
          >
            <td>
                <v-icon 
                  :color="getColor(item.position)"
                  :x-small="getSize(item.position)"
                  :right="getSize(item.position)"
                >
                {{ item.position }}

                {{ getMdi(item.position) }}

                </v-icon>
                
            </td>
          </tr>
        </tbody>
      </template>

      </v-data-table> 
    </v-col>


    <div class="mt-3" align="left">
      <app-ui-back-btn></app-ui-back-btn>
    </div>

    
    </v-container>
</template>

<script>

export default {
  middleware: "auth",
    data() {
        return {
          headers: [
          { text: '', value: 'position', class:'green black--text' },
          { text: 'Equip', value: 'username', class:'green black--text' },
          { text: 'Punts', value: 'score', class:'green black--text' }, 
       
        ],
   
  
        }
    },
  computed:{
    teams(){
      var items = this.$store.getters.readTeams 

      var items = items.filter(function(item) {
          return item.username !== 'admin'; 
            });
      var items = items.filter(function(item) {
          return item.role.name === 'extra'; 
            });


      items.sort(function (a, b){
        return (b.score - a.score)})
      
      for(let i = 0; i < items.length ; i++){
        const element = items[i]
        element.position = i+1
      }

      return items
    }
  },
  methods: {
      getColor (position) {
        if (position == 1) return 'yellow'
        else if (position == 2) return 'grey lighten-1'
        else if (position == 3) return 'orange accent-2'
      },
      getSize (position) {
        if (position == 1) return false
        else if (position == 2) return false
        else if (position == 3) return false
        else return true
      },
      getMdi (position){
        if (position == 1) return 'mdi-shield-crown'
        else if (position == 2) return 'mdi-numeric-2-circle'
        else if (position == 3) return 'mdi-numeric-3-circle'
      }
    },
  async mounted(){
      await this.$store.dispatch("refreshTeams")
    }
}
</script>

<style scoped>

.container {
  background-image: url("https://i.ibb.co/5MTKvcz/Fons-Sense-Muntanya.png");
  background-size: cover;
  background-position: center;
  height: 100%;
}


  
</style>